﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.SilverlightEdition;
using WebEditionSample;
using System.Collections.ObjectModel;

namespace CSharp_Samples.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                ServerLayerOverlay layerOverlay = new ServerLayerOverlay("NativeServer");
                RenderMap worldMapKit = new RenderMap(@"\\lawvm2\APStore\APFolder\Map Data\WorldMapKit");
                Collection<Layer> staticLayers = new Collection<Layer>();
                worldMapKit.LoadLayers(staticLayers, staticLayers);
                foreach (Layer layer in staticLayers)
                {
                    layerOverlay.Layers.Add(layer);
                }
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerOverlay);
            }
        }
    }
}
